Subject: Re: bug#61849: 29.0.60; Unable to use treesit-install-language-grammar because repo doesn't have parser.c

From: Gregory Heytings <[email-masked]>
Date: Mon, 20 Mar 2023 22:01:15 +0000

>> Suppose the repositories remove the generated grammar files. What would 
>> be sufficient for us to regenerate them?
>
> I hope someone will write a generation tool in Emacs Lisp.
>

That can't possibly happen, IMO.  Generating the grammar.json files from 
the grammar.js files with an Emacs Lisp program would amount to implement 
a JavaScript interpreter in Emacs Lisp.  And generating the parser.c files 
from the grammar.json files would amount to reimplement the generator, 
which is about 13500 lines of non-trivial Rust code, in Emacs Lisp.